ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual

# ReflectionClass::getDocComment

(PHP 5 >= 5.1.0)

ReflectionClass::getDocComment — Gets doc comments

### Beschreibung

public string ReflectionClass::getDocComment ( void )

Gets doc comments from a class.

Warnung

Diese Funktion ist bis jetzt nicht dokumentiert. Es steht nur die Liste der Argumente zur Verfügung.

### Parameter-Liste

Diese Funktion hat keine Parameter.

### Rückgabewerte

The doc comment if it exists, otherwise `FALSE`

### Beispiele

Beispiel #1 ReflectionClass::getDocComment example

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment())
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    string(55) "/**
    * A test class
    *
    * @param  foo bar
    * @return baz
    */"

### Siehe auch

- ReflectionClass::getName - Gets class name

ReflectionClass::getDefaultProperties
ReflectionClass::getEndLine
ReflectionClass
PHP Manual